Stop this evaluation, retaining answers, tickets, plans and other participations
curl --request POST \
--url https://clientapi.woku.app/v1/journeys/{id}/enrollments/{enrollmentId}/stop \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"reason": "<string>"
}
'import requests
url = "https://clientapi.woku.app/v1/journeys/{id}/enrollments/{enrollmentId}/stop"
payload = { "reason": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({reason: '<string>'})
};
fetch('https://clientapi.woku.app/v1/journeys/{id}/enrollments/{enrollmentId}/stop', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"subjectKey": "<string>",
"contact": {
"email": "cliente@example.com",
"phone": "56911111111"
},
"lifecycle": "pending",
"dispatchOutcomeUncertain": true,
"pendingMoments": [
{
"key": "<string>",
"name": "<string>"
}
],
"moments": [
{
"key": "<string>",
"name": "<string>",
"status": "pending",
"toolId": "<string>",
"toolType": "woku",
"toolScope": "shared",
"sentAt": "2023-11-07T05:31:56Z",
"respondedAt": "2023-11-07T05:31:56Z",
"activationSource": "operator",
"hookReceivedAt": "2023-11-07T05:31:56Z"
}
],
"next": {
"stageKey": "<string>",
"name": "<string>",
"source": "operator",
"scheduledFor": "2023-11-07T05:31:56Z"
},
"definitionVersion": 123,
"startedAt": "2023-11-07T05:31:56Z",
"startSource": "operator",
"stoppedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z",
"stopRequestedAt": "2023-11-07T05:31:56Z",
"stoppedBy": "<string>",
"stopReason": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}{
"statusCode": 400,
"message": [
"email must be a valid email",
"password must be at least 8 characters"
],
"error": "Bad Request"
}v1 - journeys
Stop this evaluation, retaining answers, tickets, plans and other participations
POST
/
v1
/
journeys
/
{id}
/
enrollments
/
{enrollmentId}
/
stop
Stop this evaluation, retaining answers, tickets, plans and other participations
Authorizations
Company secret API key.
Headers
Client-generated key to make the call safe to retry. A retry with the same key and operation returns the original result instead of acting again. Do not reuse it for new input: retries replay the original body. A different operation returns 422.
Body
application/json
Maximum string length:
280Response
Show child attributes
Show child attributes
Available options:
pending, running, stopping, stopped, completed Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
operator, response, webhook